Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Owners of a property

Request

View information about the owners of a property.

ℹ️ TIP - The fields in the overview fieldset are also returned in the Persons object from the Property from RadarID and Properties from Criteria endpoints, so you can get both persons and property information at the same time by using those endpoints.

Click here for fieldsets

default

isPrimaryContact OwnershipRole Status FirstName MiddleName LastName Suffix EntityName Age Gender Phone Email SocialAccounts MailAddress PrimaryResidence OtherProperties Occupation isDeceased

overview

isPrimaryContact OwnershipRole FirstName MiddleName LastName Suffix EntityName Age Gender Occupation Phone Email SocialAccounts isDeceased

Security
api_key_bearer
Path
RadarIDstringrequired

Unique ID for locating properties within PropertyRadar.

Examples:
P8A0E18D
P16926CB
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Default "default"
Items Enum"default""overview""RadarID""PersonKey""isPrimaryContact""OwnershipRole""PrimaryResidence""OtherProperties""Status""PersonType"
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/properties/P8A0E18D/persons?Fields=default&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Bankruptcies

Request

Returns information about the bankruptcy records of a person.

Click here for fieldsets

Table

BankruptcyID BankruptcyCaseNumber BankruptcyRecordingDate BankruptcyChapter BankruptcyStatus

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person.

Example: p123123
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"Table""PersonKey""BankruptcyID""BankruptcyCaseNumber""BankruptcyRecordingDate""BankruptcyChapter""BankruptcyStatus""BankruptcyDistrict""BankruptcyJudgeName""BankruptcyProSe"
Limitinteger

Maximum number of records to return.

Default 100
Example: Limit=10
Startinteger

Offset from which to begin returning records. Used for paging.

Default 0
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/persons/p123123/bankruptcies?Fields=Table&Limit=10&Start=0&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Divorces

Request

Returns information about divorce cases for a person.

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person.

Example: p123123
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"CourtCaseID""DivorceCountyST""DivorceFilingDate""DivorceCaseNumber""DivorceAttorney""DivorcePlaintiff""DivorceDefendant""-CourtCaseID""-DivorceCountyST""-DivorceFilingDate"
Limitinteger

Maximum number of records to return.

Default 100
Example: Limit=10
Startinteger

Offset from which to begin returning records. Used for paging.

Default 0
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/persons/p123123/divorces?Fields=CourtCaseID&Limit=10&Start=0&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Liens

Request

Returns lien records for a person.

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person.

Example: p123123
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"PersonKey""PersonLienKey""MyDocumentKey""PersonLienDocType""PersonLienDocTypeUI""PersonLienRecDate""PersonLienStatus""PersonLienType""PersonLienDocNumber""ReferenceDocKey"
Limitinteger

Maximum number of records to return.

Default 500
Example: Limit=10
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/persons/p123123/liens?Fields=PersonKey&Limit=10&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Probates

Request

Returns information about the probate records for a person.

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person.

Example: 12345
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"ProbateCountyST""ProbateCourt""ProbateFilingDate""ProbateCaseNumber""ProbateDecedent""ProbatePlaintiffAttorney""-ProbateCountyST""-ProbateCourt""-ProbateFilingDate""-ProbateCaseNumber"
Limitinteger

Maximum number of records to return.

Default 100
Example: Limit=10
Startinteger

Offset from which to begin returning records. Used for paging.

Default 0
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/persons/12345/probates?Fields=ProbateCountyST&Limit=10&Start=0&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ {} ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Purchase a person’s phone

Request

Purchase a phone for a specific person. You can obtain the PersonKey you need by using the Property from RadarID or Properties from Criteria endpoints while requesting the Persons field, (e.g. ?Fields=overview,Persons). Or you can use the Owners of a property endpoint.

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person

Example: p123123
Query
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X POST \
  'https://api.propertyradar.com/v1/persons/p123123/Phone?Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Purchase a person’s email

Request

Purchase a email for a specific person. You can obtain the PersonKey you need by using the Property from RadarID or Properties from Criteria endpoints while requesting the Persons field, (e.g. ?Fields=overview,Persons). Or you can use the Owners of a property endpoint.

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person

Example: p123123
Query
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X POST \
  'https://api.propertyradar.com/v1/persons/p123123/Email?Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

Relatives

Request

Returns information about the relatives of a person

Security
api_key_bearer
Path
PersonKeystringrequired

A unique identifier for the person.

Example: p123123
Query
Purchaseinteger

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
curl -i -X GET \
  'https://api.propertyradar.com/v1/persons/p123123/relatives?Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ {} ] }

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

Imports

Import and match properties and people

Operations

Automations

Configure Alerts and Automations

Operations

Accounts

Account info and preferences

Operations

Documents

Get and edit documents that make up the transaction history for a property

Operations